<ng-container *ngIf="driver">
    <mat-card class="mat-card">
        <mat-card-header>
            <mat-card-title>{{driver.firstName}} {{driver.middleName}} {{driver.lastName}}</mat-card-title>
            <mat-card-subtitle>Водитель</mat-card-subtitle>
        </mat-card-header>
        <mat-card-content>
            <mat-list>
                <mat-list-item>Телефон – {{driver.phone}}  </mat-list-item>
                <mat-list-item>Почта – {{driver.email}} </mat-list-item>
                <mat-list-item> {{driver.isActive ? 'Активирован' : 'Не активирован'}} </mat-list-item>
            </mat-list>
        </mat-card-content>
        <mat-card-actions>
            <button mat-button
                    (click)="toActive()">
                {{!driver.isActive ? 'Активировать' : 'Деактивировать'}}
            </button>
            <button mat-button
                    (click)="back()">
                Назад
            </button>
        </mat-card-actions>
    </mat-card>
    <table mat-table [dataSource]="cars"
           class="mat-elevation-z8"
           *ngIf="cars?.length > 0 ">
        <ng-container matColumnDef="mark">
            <th mat-header-cell *matHeaderCellDef> Имя </th>
            <td mat-cell *matCellDef="let element"> {{element.mark}} </td>
        </ng-container>
        <ng-container matColumnDef="model">
            <th mat-header-cell *matHeaderCellDef>Модель</th>
            <td mat-cell *matCellDef="let element"> {{element.model}} </td>
        </ng-container>
        <ng-container matColumnDef="number">
            <th mat-header-cell *matHeaderCellDef> Гос номер </th>
            <td mat-cell *matCellDef="let element"> {{element.number}} </td>
        </ng-container>
        <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
        <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
    </table>
    <button mat-raised-button color="primary" *ngIf="!isOpenFormForCar" (click)="openForm()">Добавить машину</button>
    <mat-card *ngIf="isOpenFormForCar || closeTable">
        <mat-card-header>
            <mat-card-title>Добавление машины</mat-card-title>
        </mat-card-header>
        <mat-card-content>
            <form class="example-container">
                <mat-form-field>
                    <input matInput placeholder="Марка" [(ngModel)]="car.mark" name="mark">
                </mat-form-field>
                <mat-form-field>
                    <input matInput placeholder="Модель" [(ngModel)]="car.model" name="model">
                </mat-form-field>
                <mat-form-field>
                    <input matInput placeholder="Гос номер" [(ngModel)]="car.number" name="number">
                </mat-form-field>
                <mat-form-field>
                    <input matInput placeholder="Ранг" [(ngModel)]="car.tarifRank" name="tarifRank">
                </mat-form-field>
                <mat-form-field>
                    <mat-select placeholder="Тип" [(ngModel)]="car.carTypeId" name="carTypeId">
                        <mat-option *ngFor="let carType of carTypes" [value]="carType.id">{{carType.name}}</mat-option>
                    </mat-select>
                </mat-form-field>
                <mat-form-field>
                    <mat-select placeholder="Опции" multiple [(ngModel)]="car.carOptionsIds" name="carOptionsIds">
                        <mat-option *ngFor="let carOption of carOptions" [value]="carOption.id">{{carOption.name}}</mat-option>
                    </mat-select>
                </mat-form-field>
                <button mat-raised-button (click)="createCar()">Создать</button>
            </form>
        </mat-card-content>
    </mat-card>
</ng-container>
